<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Мои покупки';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title">'.$title.'</div>';
switch($_GET['act']){
	default:
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_buy` WHERE `id_us` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$nv=mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$user['id']."'");
while($ns=mysql_fetch_assoc($nv)){
	$good = mysql_query("SELECT * FROM `shop_goods` WHERE `id` = '".$ns['id_goods']."' ORDER BY `id` DESC LIMIT $start, $max");

while($g = mysql_fetch_assoc($good))
{
	$g['description']=substr($g['description'], 0, 200);
	$g['description']=rtrim($g['description'], "!,.-");
	echo '<div class="podmenu">';
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_screen` WHERE `goods`='".$g['id']."'"))==0){
	echo '<img src="/images/m/no-scrin.gif" rel="lightbox" alt="*" class="image" align="left" style="margin: 1px 8px 0px 0px; width: 70px; height: 70px;">';
}else{
$scr=mysql_result(mysql_query("SELECT `img` FROM `shop_screen` WHERE `goods`='".$g['id']."' LIMIT 1"), 0);
	echo '<img src="/files/m/scr/'.$scr.'" rel="lightbox" alt="*" class="image" align="left" style="margin: 1px 8px 0px 0px; width: 70px; height: 70px;">';
}
echo '<a href="/m/tovar.php?id='.$g['id'].'">'.$g['name'].'</a><br/>
'.$g['description'].'...<br/>';
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_goods`='".$g['id']."'"))<$g['amount']){
	if($user['id']!=$g['id_us']){
		echo '<a href="/m/buy.php?id='.$g['id'].'"><img src="/images/m/dollar.png"></a>';
	}
}
if($user['id']!=$g['id_us']){
	echo '<a href="/m/tovar.php?id='.$g['id'].'&cart"><img src="/images/m/cart.png"></a>';
}
echo '<br/><br/><br/></div>';
}
}
if($k_post < 1) echo '<div class="podmenu"><b><center>Товаров пока нет!</center></b></div>';

if($k_page>1) echo str(''.$HOME.'/m/dir.php?id='.$_GET['id'].'&',$k_page,$page); // Вывод страниц
break;
}
echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>